// fonts family
@mixin Baloo2 {
    font-family: "Baloo 2";
}

@mixin Roboto-font {
    font-family: 'Roboto', sans-serif;
}

// fonts family

@mixin ExtraLarge{
    @media screen and (min-width: 1200px) {
        @content;
    }
}

@mixin Large{
    @media (min-width: 992px) and (max-width: 1199.98px) {
        @content;
    }
}

@mixin Medium {
    @media (min-width: 768px) and (max-width: 991.98px) {
        @content;
    }
}

@mixin Small {
    @media (min-width: 576px) and (max-width: 767.98px){
        @content;
    }
}

@mixin ExtraSmall {
    @media (max-width: 575.98px){
        @content;
    }
}

// font weight
@mixin font-weight($weight){
    $weights: (
    thin: 100,
    extra_light: 200,
    light: 300,
    normal: 400,
    medium: 500,
    semi_bold: 600,
    bold: 700,
    extra_bold: 800,
    black: 900
  );

  $output: $weight;
  @if map-has-key($weights, $weight) {
    $output: map-get($weights, $weight);
  }
  
  font-weight: $output;
}

@mixin clearfix {
    &::after {
       content: "";
       display: table;
       clear: both;
   }
}


// font-size

@mixin d_large {
    font-size: 56px;
    line-height: 84px;
}
@mixin d_small {
    font-size: 40px;
    line-height: 60px;
}
@mixin h_large{
    font-size: 32px;
    line-height: 48px;
}

@mixin h_small{
    font-size: 24px;
    line-height: 36px;
}

@mixin subHead {
    font-size: 20px;
    line-height: 30px;
}

@mixin body_large {
    font-size: 16px;
    line-height: 24px;
}

@mixin body_small {
    font-size: 14px;
    line-height: 24px;
}

@mixin label_large {
    font-size: 12px;
    line-height: 18px;
}

@mixin label_small {
    font-size: 10px;
    line-height: 15px;
}

// button mixin
@mixin Exlargebtn {
    width: 408px;
    height: 48px;
}

@mixin largebtn {
    width: 368px;
    height: 48px;
}

@mixin mediumbtn{
    width: 328px;
    height: 48px;
}

@mixin smallbtn {
    width: 256px;
    height: 48px;
}

// box-shadow css
@mixin box_shadow{
    box-shadow: 0px 4px 0px rgba(0, 0, 0, 0.12), inset 0px -4px 0px rgba(0, 0, 0, 0.25);
}

@mixin box_shadow1{
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.084), 0px 2px 3px rgba(0, 0, 0, 0.168);
}

@mixin radius-16{
    border-radius: 16px;
}

